Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.dvsl
Class AntLogChute

    java.lang.Object
      org.apache.dvsl.AntLogChute

All Implemented Interfaces:
  org.apache.velocity.runtime.log.LogChute

Direct Known Subclasses:
  AntLogSystem

    public class AntLogChute

extends java.lang.Object
implements org.apache.velocity.runtime.log.LogChute

Implementation of a logger to output messages via an Ant Task's log method. Velocity log levels are mapped to corresponding log levels defined in Ant's logging API. The end result is messages will only be output if Ant log level is high enough.

Version:
  $Id:$
Author:
  Bill Burton

Field Summary
`(package private) org.apache.tools.ant.Task` | `task`

Fields inherited from interface org.apache.velocity.runtime.log.LogChute
`DEBUG_ID, DEBUG_PREFIX, ERROR_ID, ERROR_PREFIX, INFO_ID, INFO_PREFIX, TRACE_ID, TRACE_PREFIX, WARN_ID, WARN_PREFIX`

Constructor Summary
`AntLogChute(org.apache.tools.ant.Task task)` Initialize this logger with a reference to the calling Ant Task

Method Summary
`void` | `init(org.apache.velocity.runtime.RuntimeServices rs)` Initialize the logger.
`boolean` | `isLevelEnabled(int level)`
`void` | `log(int level, java.lang.String message)` Log Velocity messages through the Ant Task log method.
`void` | `log(int level, java.lang.String message, java.lang.Throwable throwable)` Log throwables through the Ant Task log method.
`void` | `logVelocityMessage(int level, java.lang.String message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### task

    org.apache.tools.ant.Task task

Constructor Detail

### AntLogChute

    public AntLogChute(org.apache.tools.ant.Task task)

  Initialize this logger with a reference to the calling Ant Task

  Parameters:
    `task` - Ant Task to use for logging. This must not be null.

Method Detail

### init

    public void init(org.apache.velocity.runtime.RuntimeServices rs)
              throws java.lang.Exception

  Initialize the logger.

  Specified by:
    `init` in interface `org.apache.velocity.runtime.log.LogChute`
  Throws:
    `java.lang.Exception` - if null was passed into the constructor

### log

    public void log(int level,
                    java.lang.String message)

  Log Velocity messages through the Ant Task log method. The mapping of logging levels from Velocity to Ant is as follows:

  >      Velocity Level      -->  Ant Level
  >      LogSystem.TRACE_ID  -->  Project.MSG_DEBUG
  >      LogSystem.DEBUG_ID  -->  Project.MSG_DEBUG
  >      LogSystem.INFO_ID   -->  Project.MSG_VERBOSE
  >      LogSystem.WARN_ID   -->  Project.MSG_WARN
  >      LogSystem.ERROR_ID  -->  Project.MSG_ERR

  Specified by:
    `log` in interface `org.apache.velocity.runtime.log.LogChute`
  Parameters:
    `level` - severity level
    `message` - complete error message
  See Also:
    `LogChute`, `Task.log(String, int)`

### log

    public void log(int level,
                    java.lang.String message,
                    java.lang.Throwable throwable)

  Log throwables through the Ant Task log method. The mapping of logging levels from Velocity to Ant is as follows:

  >      Velocity Level      -->  Ant Level
  >      LogSystem.TRACE_ID  -->  Project.MSG_DEBUG
  >      LogSystem.DEBUG_ID  -->  Project.MSG_DEBUG
  >      LogSystem.INFO_ID   -->  Project.MSG_VERBOSE
  >      LogSystem.WARN_ID   -->  Project.MSG_WARN
  >      LogSystem.ERROR_ID  -->  Project.MSG_ERR

  Specified by:
    `log` in interface `org.apache.velocity.runtime.log.LogChute`
  Parameters:
    `level` - severity level
    `message` - complete error message
    `throwable` - the throwable object to log
  See Also:
    `LogChute`, `Task.log(String, int)`

### isLevelEnabled

    public boolean isLevelEnabled(int level)

  Specified by:
    `isLevelEnabled` in interface `org.apache.velocity.runtime.log.LogChute`

### logVelocityMessage

    public void logVelocityMessage(int level,
                                   java.lang.String message)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2007 Apache Software Foundation